// component/adDialog/adDialog.js
var app = getApp()
const wxService = require('../../utils/wxService')
const utils = require('../../utils/util')
const envInfo = require('../../config/index').envInfo

Component({
  /**
   * 组件的属性列表
   */
  properties: {
    showDialog : {
      type:Boolean,
      value: false
    },
    imageUrl : {
      type : String,
      default : ''
    },
    params: {
      type:Object,
      value: null
    }
  },

  observers:{
    
  },

  /**
   * 组件的初始数据
   */
  data: {

  },

  lifetimes:{
    attached(){
      // console.log(this.data.pageInfo)
    },
    created(){

    }
  },

  /**
   * 组件的方法列表
   */
  methods: {
    //关闭
    onTapClose(){
      this.setData({
        showDialog :false
      });
    },
    //图片的点击
    onTapPic(){
      this.triggerEvent('dialogTap',this.data.params);
      
    }
  }
})
